Bug 64006 - Compiling a Driver under Bigmem kernel produces unresolved symbol
Compiling a Driver under Bigmem kernel produces unresolved symbol
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-23 13:41 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-23 13:41:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
This bug is under RedHat 7.3-Beta4.  If a driver is compiled while booted to 
bigmem kernel, the loading of that driver produces many "unresolved symbole"

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

-install the kernel-bigmem-2.4.18-0.13.i686.rpm
-boot to bigmem kernel
-compile bcm5700 driver from the tar-ball
-insmod bcm5700.o
Problem:
-many unresolved symbol was displayed and driver could not be loaded.
Work around:
-copy the .config file from the config directory
-make oldconfig
-make dep
-rebuilt the bcm5700 driver.
-insmod bcm5700, driver loaded and operated as expected.

	

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:39:31 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.